/* The switch - the box around the slider */
.bigText {
  margin: 0 0 0 0.5rem !important;
  padding: 0;
}

.switch {
  margin: 0;
  position: relative;
  display: inline-block;

  width: 3rem; /* TODO Size */
  height: 1.5rem; /* TODO Size */
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";

  height: 1rem; /* TODO Size */
  width: 1rem; /* TODO Size */
  left: 0.25rem; /* TODO Size */
  bottom: 0.25rem; /* TODO Size */

  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider:before {
  -webkit-transform: translateX(1.5rem); /* TODO Size */
  -ms-transform: translateX(1.5rem); /* TODO Size */
  transform: translateX(1.5rem); /* TODO Size */
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

